ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Types.TH

# Documentation

data SpliceType Source #

Constructors

Typed |
Untyped |

data SpliceOrBracket Source #

Constructors

IsSplice |
IsBracket |

data ThStage Source #

Constructors

Splice SpliceType |
RunSplice (TcRef [ForeignRef (Q ())]) |
Comp |
Brack ThStage PendingStuff |

#### Instances

Instances details

Outputable ThStage Source # |
Instance details Defined in GHC.Tc.Types.TH Methods ppr :: ThStage -> SDoc Source #

data PendingStuff Source #

Constructors

RnPendingUntyped (TcRef [PendingRnSplice]) |
RnPendingTyped |
TcPending (TcRef [PendingTcSplice]) (TcRef WantedConstraints) QuoteWrapper |

type ThLevel = Int Source #

topStage :: ThStage Source #

topAnnStage :: ThStage Source #

topSpliceStage :: ThStage Source #

thLevel :: ThStage -> ThLevel Source #

impLevel :: ThLevel Source #

outerLevel :: ThLevel Source #